import Vue from 'vue';
declare const _default: {
    title: string;
    component: import("vue/types/vue").ExtendedVue<Vue, unknown, {
        onInput(event: InputEvent): void;
        onChange(event: Event): void;
        onFocus(event: FocusEvent): void;
        onBlur(event: FocusEvent): void;
    }, unknown, {
        type: unknown;
        disabled: boolean;
    }>;
    parameters: {
        storySource: {
            source: string;
            locationsMap: {
                configurable: {
                    startLoc: {
                        col: number;
                        line: number;
                    };
                    endLoc: {
                        col: number;
                        line: number;
                    };
                    startBody: {
                        col: number;
                        line: number;
                    };
                    endBody: {
                        col: number;
                        line: number;
                    };
                };
            };
        };
        layout: string;
    };
};
export default _default;
export declare const configurable: () => Vue.Component;
